/*背景色颜色渐变
    background:-moz-linear-gradient(top,#fb7e32,#fd5353);
    background:-webkit-gradient(linear, 0% 0%, 0% 100%,from(#fb7e32), to(#fd5353));
    background:linear-gradient(top,#fb7e32,#fd5353);
    
    
    .generate-columns(20,1);
    .generate-columns(@n, @i: 1) when (@i =< @n) {
        .li@{i}{
            width: @i;
            background-image: url("../images/li@{i}.png");
        }
        .generate-columns(@n, (@i + 1));
    }
    
    &::-webkit-input-placeholder{
        color: #aaa;
    }
    */
.gray {
  color: #727272;
}
.red {
  color: #ed1b1b;
}
.green {
  color: #2ec493;
}
.black {
  color: #282828;
}
.hide {
  display: none;
}
.show {
  display: block;
}
.boxs {
  box-sizing: border-box;
  -moz-box-sizing: border-box;
  -webkit-box-sizing: border-box;
}
.th2 {
  overflow: hidden;
  text-overflow: ellipsis;
  display: -webkit-box;
  -webkit-box-orient: vertical;
  -webkit-line-clamp: 2;
}
.texthiden {
  overflow: hidden;
  text-overflow: ellipsis;
  white-space: nowrap;
}
.chuhe {
  background-color: #f5f5f5;
  height: .2rem;
  border-bottom: 1px solid #e1e1e1;
}
.vm {
  position: absolute;
  left: 0;
  right: 0;
  top: 0;
  bottom: 0;
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  overflow: scroll;
  -webkit-box-align: center;
      -ms-flex-align: center;
          align-items: center;
  -webkit-box-pack: center;
      -ms-flex-pack: center;
          justify-content: center;
  background: #007cff url(../images/bl.jpg) no-repeat;
  background-size: 100% 100%;
}
.form {
  box-sizing: border-box;
  -moz-box-sizing: border-box;
  -webkit-box-sizing: border-box;
  width: 7.5rem;
  padding: 0 .64rem;
  color: #fff;
}
.form h2 {
  font: 600 0.5rem/0.5rem helvetica;
  padding: 0 0 .35rem;
  text-align: center;
}
.form .month {
  padding: 0 0 .95rem;
  font: 400 0.3rem/0.3rem helvetica;
  text-align: center;
}
.form .inp {
  position: relative;
  padding: 0 0 .25rem;
}
.form .inp input,
.form .inp .save {
  box-sizing: border-box;
  -moz-box-sizing: border-box;
  -webkit-box-sizing: border-box;
  display: block;
  width: 100%;
  height: 1.06rem;
  padding: 0 .2rem 0 1rem;
  font: 400 0.36rem/1.06rem "microsoft yahei";
  color: #282828;
  background-color: #fff;
  background-repeat: no-repeat;
  background-size: .54rem;
  background-image: url(../images/dushu.png);
  background-position: .29rem .26rem;
  border: 0;
  border-radius: .53rem;
}
.form .inp input:-webkit-input-placeholder,
.form .inp .save:-webkit-input-placeholder {
  color: #6c6c6c;
}
.form .inp .room {
  background-image: url(../images/men.png);
}
.form .inp .worker {
  background-image: url(../images/gonghao.png);
}
.form .inp .name {
  position: absolute;
  z-index: 2;
  right: .15rem;
  top: 0;
  font: 400 0.36rem/1.06rem "microsoft yahei";
  color: #282828;
}
.form .save {
  box-sizing: border-box;
  -moz-box-sizing: border-box;
  -webkit-box-sizing: border-box;
  display: block;
  width: 100%;
  height: 1.06rem;
  font: 600 0.36rem/1.06rem "microsoft yahei";
  color: #fff;
  border-radius: .53rem;
  text-align: center;
  background: -webkit-gradient(linear, left top, left bottom, from(#ffd205), to(#ff7c07));
  background: linear-gradient(top, #ffd205, #ff7c07);
  margin-bottom: .7rem;
}
.form .tips {
  text-align: center;
  font: 400 0.3rem/0.36rem helvetica;
  color: #fff;
}
